Bug 1222436 (CVE-2015-3811) - CVE-2015-3811 wireshark: WCP dissector crash (wnpa-sec-2015-14)
Summary: CVE-2015-3811 wireshark: WCP dissector crash (wnpa-sec-2015-14)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3811
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1245883 1245885 1245886 1245887
Blocks: 1210268 1222441
TreeView+ depends on / blocked
 
Reported: 2015-05-18 08:39 UTC by Martin Prpič
Modified: 2019-09-29 13:32 UTC (History)
7 users (show)

Fixed In Version: wireshark 1.12.5, wireshark 1.10.14
Doc Type: Bug Fix
Doc Text:
A flaw was found in WCP dissector of wireshark of which an attacker could crash wireshark by injecting a specially crafted packet onto the wire or by convincing wireshark user to read malformed packet trace file.
Clone Of:
Environment:
Last Closed: 2015-11-20 04:52:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2393 normal SHIPPED_LIVE Moderate: wireshark security, bug fix, and enhancement update 2015-11-19 11:03:11 UTC
Red Hat Product Errata RHSA-2017:0631 normal SHIPPED_LIVE Moderate: wireshark security and bug fix update 2017-03-21 12:29:55 UTC

Description Martin Prpič 2015-05-18 08:39:25 UTC
It was reported that Wireshark's WCP dissector could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This flaw is fixed in versions the following Wireshark versions: 1.12.5, 1.10.14.

Upstream bug:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10978

External References:

https://www.wireshark.org/security/wnpa-sec-2015-14.html

Comment 1 Martin Prpič 2015-05-18 08:40:40 UTC
Fixed in Fedora via:

FEDORA-2015-8174 -- wireshark-1.10.14-1.fc20
FEDORA-2015-8150 -- wireshark-1.12.5-1.fc21

Comment 8 Peter Hatina 2015-10-08 06:06:12 UTC
Actually, in 1.10.x, it's fixed by e5a9cf36b813076a74fa3ab2772bbefb2e113ea8.

Comment 9 errata-xmlrpc 2015-11-19 12:37:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2393 https://rhn.redhat.com/errata/RHSA-2015-2393.html

Comment 10 Huzaifa S. Sidhpurwala 2015-11-20 04:52:07 UTC
Statement:

(none)

Comment 11 Huzaifa S. Sidhpurwala 2015-11-20 06:42:09 UTC
Mitigation:

This flaw can be mitigated in wireshark by disabling the WCP protocol dissector. In wireshark GUI application click on Analyze->Enabled Protocols and search for "WCP" and disable in. When using "tshark", the text interface, create a file called "disabled_protos" in the preferences folder (normally .wireshark folder in the home directory of the user running wireshark) and add "WCP" to it. This should disable the WCP protocol.

Comment 12 errata-xmlrpc 2017-03-21 09:53:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0631 https://rhn.redhat.com/errata/RHSA-2017-0631.html


Note You need to log in before you can comment on or make changes to this bug.